Subject: Re: bug#34180: 27.0.50; argv[0] used incorrectly to find the .pdmp

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Oct 2021 18:54:11 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Daniel Colascione <[email-masked]>,  [email-masked],
>   [email-masked], Paul Eggert <[email-masked]>
> Date: Mon, 11 Oct 2021 16:02:44 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Wouldn't it be better to have a method of finding the absolute file
> > name of the executable from which the process was started, regardless
> > of what argv[0] says?  The way to do that is system-dependent (on
> > GNU/Linux, I believe you need to readlink ("/proc/self/exe") or
> > somesuch, for example), but AFAIK this can be done on all platforms we
> > support.
> 
> It looks like find_executable from progreloc in gnulib provides a
> portable interface for this?

We already solved that in load_pdump_find_executable, didn't we?